/*
 * event_notify.h
 * This file is part of Network-inador
 *
 * Copyright (C) 2024 - Félix Arreola Rodríguez
 *
 * Network-inador is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Network-inador is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Network-inador; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, 
 * Boston, MA  02110-1301  USA
 */

#ifndef __EVENT_NOTIFY_H__
#define __EVENT_NOTIFY_H__

#include <stdint.h>

#include "network-inador-events.h"

void network_manager_trigger_dhcp_event (NetworkInadorHandle *handle, InterfaceDHCPClientInfo *dhcpc);
void network_manager_trigger_interface_added_event (NetworkInadorHandle *handle, Interface *iface);
void network_manager_trigger_interface_updated_event (NetworkInadorHandle *handle, Interface *iface);
void network_manager_trigger_interface_deleted_event (NetworkInadorHandle *handle, uint32_t index);
void network_manager_trigger_ip_added_event (NetworkInadorHandle *handle, IPAddr *ip_addr);
void network_manager_trigger_ip_deleted_event (NetworkInadorHandle *handle, IPAddr *ip_addr);

#endif /* __EVENT_NOTIFY_H__ */

