/*
 * manager-private.h
 * This file is part of Network-inador
 *
 * Copyright (C) 2024 - Félix Arreola Rodríguez
 *
 * Network-inador is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Network-inador is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Network-inador; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, 
 * Boston, MA  02110-1301  USA
 */

#ifndef __MANAGER_PRIVATE_H__
#define __MANAGER_PRIVATE_H__

#include <glib.h>

#include "network-inador-public.h"

/* Para los clientes y sus respectivos eventos */
typedef struct {
	int socket;
	
	guint source;
	GList *connected_client_list;
	NetworkInadorHandle *handle;
} Manager;

typedef struct {
	int fd;
	
	/* Los eventos que quieren ser recibidos en este cliente */
	uint32_t wanted_events;
	guint source;
	Manager *manager;
} ManagerClientInfo;

Manager * manager_new (NetworkInadorHandle *handle, int type);

void _manager_send_error (ManagerClientInfo *manager_client, int error, int orig_cmd);
void _manager_send_executed (ManagerClientInfo *manager_client);
void _manager_send_end_command (ManagerClientInfo *manager_client, int orig_cmd);

#endif /* __MANAGER_PRIVATE_H__ */

