/*
 * resolv_manager.c
 * This file is part of Network-inador
 *
 * Copyright (C) 2022 - Félix Arreola Rodríguez
 *
 * Network-inador is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Network-inador is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Network-inador; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, 
 * Boston, MA  02110-1301  USA
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <ctype.h>

#include "common.h"
#include "utils.h"
#include "resolv_conf_parser.h"

GList * resolv_manager_clear_entries (GList *entries, char *prog) {
	GList *g, *next;
	ResolvConfEntry *entry;
	
	g = entries;
	while (g != NULL) {
		next = g->next;
		
		entry = (ResolvConfEntry *) g->data;
		
		if (strcmp (entry->owner_prog, prog) == 0) {
			/* Hay que eliminar esta entrada, coincide por nombre de programa */
			
		}
		
		
		g = next;
	}
	
	return entries;
}

GList *resolv_manager_generate_entries (NetworkInadorHandle *handle) {
	
}

void resolv_manager_init (NetworkInadorHandle *handle) {
	FILE *fd;
	GList *entries;
	
	/* Debemos primero instalar el manejador de eventos de escritura sobre el resolv.conf */
	
	handle->resolver_entries = NULL;
	/* Luego, leer el resolv.conf */
	fd = fopen ("/etc/resolv.conf", "r");
	if (fd != NULL) {
		entries = resolv_manager_parse_file (fd, RESOLV_ORIGIN_RESOLVCONF);
		
		handle->resolver_entries_from_file = entries;
	}
	
	
}

